> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get by Listing

> Locate companies using exchange listing identifiers.



## OpenAPI

````yaml /api-rest/openapi/openapi_knowledge_graph.json post /v1/knowledge-graph/companies/listing
openapi: 3.0.3
info:
  title: Bigdata Knowledge Graph API
  version: 1.0.0
  description: >-
    Access structured data from the Knowledge Graph to find companies, people,
    places, and other entities with detailed information.
servers:
  - url: https://api.bigdata.com/
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /v1/knowledge-graph/companies/listing:
    post:
      tags:
        - Companies
      summary: Get by Listing
      description: Locate companies using exchange listing identifiers.
      operationId: getCompaniesByListing
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListingRequest'
      responses:
        '200':
          description: Successful response with company data mapped by listing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketIdResponse'
components:
  schemas:
    ListingRequest:
      type: object
      properties:
        values:
          type: array
          items:
            type: string
          description: >-
            Array of listing codes. Listing format: Combination of Market
            Identifier Code (MIC) and company ticker separated by ":"
          example:
            - XNAS:AAPL
      required:
        - values
      description: Request body for listing lookups
    MarketIdResponse:
      type: object
      properties:
        results:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Company'
          description: >-
            Object containing market identifiers as keys and company data as
            values
          example:
            US0378331005:
              id: D8442A
              name: Apple Inc.
              description: >-
                Apple Inc. (formerly Apple Computer Inc.), incorporated on
                January 03, 1977, designs, manufactures, and markets mobile
                communication and media devices, personal computing products,
                and portable digital music players worldwide.
              type: PUBLIC
              country: US
              sector: Technology
              industry_group: Computer Hardware
              industry: Computer Hardware
              favicon: http://www.apple.com/favicon.ico
              webpage: http://www.apple.com
              isin_values:
                - CA03785Y1007
                - TH0150120408
                - TH0809121500
                - US0378331005
              cusip_values:
                - '037833100'
                - 03785Y100
                - P0R684385
                - Y100G4352
                - Y49876132
              sedol_values:
                - '2046251'
                - BNC31R1
                - BPXWT99
                - BVBDDG1
              listing_values:
                - XBKK:AAPL80
                - XNAS:AAPL
        metadata:
          type: object
          properties:
            request_id:
              type: string
              description: Unique request identifier
              example: user_2nHybch9ZH2eWyGykznCeRxsk4G
            timestamp:
              type: string
              format: date-time
              description: Response timestamp
              example: '2025-09-30T12:03:24.732779+00:00'
          required:
            - request_id
            - timestamp
      required:
        - results
        - metadata
      description: Response containing company data mapped by market identifiers
    Company:
      type: object
      properties:
        id:
          type: string
          description: Unique company identifier in the Knowledge Graph
          example: D8442A
        name:
          type: string
          description: Company name
          example: Apple Inc.
        description:
          type: string
          description: Company description and business overview
          example: >-
            Apple Inc. (formerly Apple Computer Inc.), incorporated on January
            03, 1977, designs, manufactures, and markets mobile communication
            and media devices, personal computing products, and portable digital
            music players worldwide.
        type:
          type: string
          enum:
            - PUBLIC
            - PRIVATE
          description: Company type classification
          example: PUBLIC
        country:
          type: string
          pattern: ^[A-Z]{2}$
          description: Country code (ISO 3166-1 alpha-2)
          example: US
        sector:
          type: string
          description: Business sector
          example: Technology
        industry_group:
          type: string
          description: Industry group classification
          example: Computer Hardware
        industry:
          type: string
          description: Specific industry classification
          example: Computer Hardware
        favicon:
          type: string
          format: uri
          description: Company favicon URL
          example: http://www.apple.com/favicon.ico
        webpage:
          type: string
          format: uri
          description: Company website URL
          example: http://www.apple.com
        isin_values:
          type: array
          items:
            type: string
          description: International Securities Identification Numbers
          example:
            - CA03785Y1007
            - TH0150120408
            - TH0809121500
            - US0378331005
        cusip_values:
          type: array
          items:
            type: string
          description: Committee on Uniform Securities Identification Procedures numbers
          example:
            - '037833100'
            - 03785Y100
            - P0R684385
            - Y100G4352
            - Y49876132
        sedol_values:
          type: array
          items:
            type: string
          description: Stock Exchange Daily Official List numbers
          example:
            - '2046251'
            - BNC31R1
            - BPXWT99
            - BVBDDG1
        listing_values:
          type: array
          items:
            type: string
          description: Exchange listing identifiers
          example:
            - XBKK:AAPL80
            - XNAS:AAPL
        ticker:
          type: string
          description: Primary ticker symbol
          example: AAPL
      required:
        - id
        - name
        - type
        - country
      description: Company entity with detailed information
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````